<?php

namespace Lc\SovBundle\Factory\Site;

use Lc\SovBundle\Container\Site\SiteContainer;
use Lc\SovBundle\Factory\AbstractFactory;
use Lc\SovBundle\Model\Site\SiteInterface;

class SiteFactory extends AbstractFactory implements SiteFactoryInterface
{
    public function create(string $devAlias = null): SiteInterface
    {
        $class = SiteContainer::getEntityFqcn();
        $site = new $class;

        $site->setDevAlias($devAlias);

        return $site;
    }
}
